cast: Get show cast

API: tvmaze.com:tvmaze-api
Endpoint: /shows/{id}/cast
Response format: application/json
Charset: utf-8
Auth: none
Method: GET
Last Status: 200
Latency: 115ms

Description

Get the full cast list for a specific show. Returns actors who appeared in the show with their character names, actor details, and the order they appear in credits. Use this when you need to know who starred in a show and their respective roles.

From spec: Returns cast members for a show.

Usage Tips

- Results are ordered by 'order' field (billing position) - Each entry includes both person details and character details - 'self' field indicates if actor played themselves - Voice actors are included with 'voice'=true

Parameters (1)

id (integer, path, required)

Show ID

Examples (4)

Get cast for a popular drama series curl

Demonstrates calling /shows/{id}/cast

curl 'https://api.tvmaze.com/shows/82/cast'
import requests

resp = requests.get("https://api.tvmaze.com/shows/82/cast")
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("shows/{id}/cast")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/shows/82/cast");
const data = await resp.json();
Get cast for a classic sitcom curl

Demonstrates calling /shows/{id}/cast

curl 'https://api.tvmaze.com/shows/526/cast'
import requests

resp = requests.get("https://api.tvmaze.com/shows/526/cast")
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("shows/{id}/cast")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/shows/526/cast");
const data = await resp.json();
Get cast for a recent hit show curl

Demonstrates calling /shows/{id}/cast

curl 'https://api.tvmaze.com/shows/169/cast'
import requests

resp = requests.get("https://api.tvmaze.com/shows/169/cast")
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("shows/{id}/cast")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/shows/169/cast");
const data = await resp.json();
Get cast by show ID doc_extracted

Demonstrates calling /shows/{id}/cast

curl 'https://api.tvmaze.com/shows/1/cast'
import requests

resp = requests.get("https://api.tvmaze.com/shows/1/cast")
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("shows/{id}/cast")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/shows/1/cast");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:52:09.340769 200 115ms
2026-04-16 02:03:49.390248 200 110ms
2026-04-16 01:40:21.567279 200 158ms
2026-04-16 01:30:25.133055 200 173ms
2026-04-15 03:53:24.763776 200 119ms
2026-04-15 03:13:29.204785 200 158ms
2026-04-15 01:01:18.983232 200 151ms
2026-04-15 00:39:14.514598 200 123ms
2026-04-14 02:31:36.854769 200 139ms
2026-04-14 02:28:33.057641 200 112ms
2026-04-14 02:08:11.327529 200 141ms
2026-04-14 00:15:15.621491 200 1697ms
2026-04-12 16:16:34.500354 200 108ms
2026-04-12 15:54:33.200250 200 138ms
2026-04-12 14:53:19.665978 200 262ms
2026-04-12 13:54:28.857416 200 132ms
2026-04-10 04:22:54.856798 200 105ms
2026-04-10 02:34:43.667277 200 772ms
2026-04-10 01:23:13.715914 200 90ms
2026-04-10 00:01:14.891722 200 194ms
2026-04-09 02:52:14.233084 200 708ms
2026-04-09 02:43:51.829392 200 171ms
2026-04-09 02:02:39.067674 200 136ms
2026-04-09 00:59:58.783434 200 126ms
2026-03-23 10:22:58.655584 200 99ms
2026-03-23 10:19:50.802105 200 89ms
2026-03-23 10:13:01.621849 200 96ms
2026-03-23 09:19:46.877961 200 91ms